Update operator
PUT /obp/dynamic-entity/banks/ogcr/operator/OPERATOR_ID
OBPv4.0.0-dynamicEntity_updateoperator_ogcr Roles: CanUpdateDynamicEntityRecord_operator(per bank) _Operator(ogcr)Dynamic-EntityDynamic
Update operator.
‘operator’ means any natural or legal person or public entity that operates or controls an activity, or to whom or to which decisive economic power over the technical functioning of the activity has been delegated;. This Dynamic Entity is part of OGCR.
Property List:
- operator_id: Internal identifier for the operator entity
- legal_name: Legal name of the Operator.
- email: Operator email address.
- phone: Operator contact phone in international format.
- address_line_1: Operator primary street address (street name, building number, P.O. Box if applicable)
- address_line_2: Operator secondary, optional details like apartment, suite, unit, floor, or building name
- postcode: Operator postcode
- country_id: ISO 3166-1 alpha-2 country code for operator address.
- ogcr_wallet_address: Wallet address to send NFTs and carbon credits to after evaluation period
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"operator"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"operator_id": "op_01JS0347FKH",
"legal_name": "Agreena",
"email": "contact@example.com",
"phone": "+49 123 456 789",
"address_line_1": "Green Street, 20",
"address_line_2": "Suite 400",
"postcode": "10115\" or \"W1K 3JP",
"country_id": "DE",
"ogcr_wallet_address": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B"
}Example success response
{
"bank_id": "ogcr",
"operator": {
"operator_id": "op_01JS0347FKH",
"legal_name": "Agreena",
"email": "contact@example.com",
"phone": "+49 123 456 789",
"address_line_1": "Green Street, 20",
"address_line_2": "Suite 400",
"postcode": "10115\" or \"W1K 3JP",
"country_id": "DE",
"ogcr_wallet_address": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.